Bug 29500 - Flatpickr accepting original date in the past for futuredate but also other dates in the past
Summary: Flatpickr accepting original date in the past for futuredate but also other d...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 29394 29241
Blocks: 29478
  Show dependency treegraph
 
Reported: 2021-11-17 10:20 UTC by Jonathan Druart
Modified: 2021-11-22 11:22 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29500: Flatpickr - accept original date in the past and not others (1.93 KB, patch)
2021-11-17 10:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29500: Flatpickr - accept original date in the past and not others (1.93 KB, patch)
2021-11-17 10:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29500: Flatpickr - accept original date in the past and not others (1.98 KB, patch)
2021-11-18 15:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29500: Flatpickr - accept original date in the past and not others (2.04 KB, patch)
2021-11-22 10:23 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-11-17 10:20:03 UTC
Bug 29241 was supposed to fix this but it didn't properly. We are accepting other dates in the past when we should only accept the original one (the one from the DB) AND dates in future.
Comment 1 Jonathan Druart 2021-11-17 10:25:04 UTC
Created attachment 127710 [details] [review]
Bug 29500: Flatpickr - accept original date in the past and not others

Bug 29241 was supposed to fix this but it didn't properly.
We are accepting other dates in the past when we should only accept the
original one (the one from the DB) AND dates in future.

Test plan:
Retry test plan for 29241 and confirm that you cannot set manually another
date in the past.
Comment 2 Jonathan Druart 2021-11-17 10:52:03 UTC
Created attachment 127720 [details] [review]
Bug 29500: Flatpickr - accept original date in the past and not others

Bug 29241 was supposed to fix this but it didn't properly.
We are accepting other dates in the past when we should only accept the
original one (the one from the DB) AND dates in future.

Test plan:
Retry test plan for 29241 and confirm that you cannot set manually another
date in the past.
Comment 3 Owen Leonard 2021-11-18 15:02:28 UTC
Created attachment 127803 [details] [review]
Bug 29500: Flatpickr - accept original date in the past and not others

Bug 29241 was supposed to fix this but it didn't properly.
We are accepting other dates in the past when we should only accept the
original one (the one from the DB) AND dates in future.

Test plan:
Retry test plan for 29241 and confirm that you cannot set manually another
date in the past.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Martin Renvoize 2021-11-22 10:23:31 UTC
Created attachment 127919 [details] [review]
Bug 29500: Flatpickr - accept original date in the past and not others

Bug 29241 was supposed to fix this but it didn't properly.
We are accepting other dates in the past when we should only accept the
original one (the one from the DB) AND dates in future.

Test plan:
Retry test plan for 29241 and confirm that you cannot set manually another
date in the past.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-11-22 10:24:13 UTC
This works as expected.. at some point I'd love to see us do more JS testing, but I don't think we should hold this up.

Passing QA
Comment 6 Jonathan Druart 2021-11-22 11:15:08 UTC
Pushed to master for 21.11, thanks to everybody involved!